petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGAMGASMSetUseAggs

Have the PCGAMG smoother on each level use the aggregates defined by the coarsening process as the subdomains for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGASMSetUseAggs(PC pc, PetscBool flg)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - PETSC_TRUE to use aggregates, PETSC_FALSE to not

### Options Database Key

-pc_gamg_asm_use_agg -

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGASMSetUseAggs_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages